> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all invoices

> List all invoices



## OpenAPI

````yaml GET /v1/invoices
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/invoices:
    get:
      tags:
        - invoices
      description: List all invoices
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            description: The number of invoices to return
            example: 10
          required: false
          description: The number of invoices to return
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                  enum:
                    - draft
                    - open
                    - paid
                    - partially_paid
                    - cancelled
              - type: string
                enum:
                  - draft
                  - open
                  - paid
                  - partially_paid
                  - cancelled
            description: The status of the invoice
            example: draft
          required: false
          description: The status of the invoice
          name: status
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                  enum:
                    - NGN
                    - USD
              - type: string
                enum:
                  - NGN
                  - USD
            description: The currency of the invoice
            example: USD
          required: false
          description: The currency of the invoice
          name: currency
          in: query
        - schema:
            type: string
          required: false
          name: reference
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: acceptPartialPayments
          in: query
        - schema:
            type: string
            description: The number of the invoice
            example: '000001'
          required: false
          description: The number of the invoice
          name: number
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Minimum UNIX timestamp(in seconds) of when the invoice was created
              (inclusive)
            example: 1712336881
          required: false
          description: >-
            Minimum UNIX timestamp(in seconds) of when the invoice was created
            (inclusive)
          name: createdAt.gte
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Maximum UNIX timestamp(in seconds) of when the invoice was created
              (inclusive)
            example: 1712336881
          required: false
          description: >-
            Maximum UNIX timestamp(in seconds) of when the invoice was created
            (inclusive)
          name: createdAt.lte
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Maximum UNIX timestamp(in seconds) of when the invoice was created
              (exclusive)
            example: 1712336881
          required: false
          description: >-
            Maximum UNIX timestamp(in seconds) of when the invoice was created
            (exclusive)
          name: createdAt.lt
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Minimum UNIX timestamp(in seconds) of when the invoice was created
              (exclusive)
            example: 1712336881
          required: false
          description: >-
            Minimum UNIX timestamp(in seconds) of when the invoice was created
            (exclusive)
          name: createdAt.gt
          in: query
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      responses:
        '200':
          description: Invoices retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: boolean
                  cursor:
                    type: string
                    nullable: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          type: string
                          enum:
                            - draft
                            - open
                            - paid
                            - partially_paid
                            - cancelled
                        description:
                          type: string
                        currency:
                          type: string
                          enum:
                            - NGN
                            - USD
                        maxInstallments:
                          type: number
                        number:
                          type: string
                        reference:
                          type: string
                        acceptPartialPayments:
                          type: boolean
                        amountDue:
                          type: integer
                        amountPaid:
                          type: integer
                        amountOverpaid:
                          type: integer
                        amountRemaining:
                          type: integer
                        subTotal:
                          type: integer
                        customerId:
                          type: string
                        sendEmail:
                          type: boolean
                        totalInclusiveTaxAmount:
                          type: integer
                        totalExclusiveTaxAmount:
                          type: integer
                        cancellationReason:
                          type: string
                          nullable: true
                        logo:
                          type: string
                          nullable: true
                        invoicePdf:
                          type: string
                          nullable: true
                        receiptPdf:
                          type: string
                          nullable: true
                        callbackUrl:
                          type: string
                          nullable: true
                        returnUrl:
                          type: string
                          nullable: true
                        metadata:
                          type: object
                          nullable: true
                          additionalProperties:
                            anyOf:
                              - type: string
                              - type: number
                        daysUntilDue:
                          type: number
                        dueDate:
                          type: string
                          format: date-time
                        paidAt:
                          type: string
                          nullable: true
                          format: date-time
                        cancelledAt:
                          type: string
                          nullable: true
                          format: date-time
                        liveMode:
                          type: boolean
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              quantity:
                                type: number
                              price:
                                type: integer
                                minimum: 0
                                exclusiveMinimum: true
                                description: >-
                                  The price of the item in smallest currency
                                  unit
                                example: 1000
                              createdAt:
                                type: string
                                format: date-time
                              updatedAt:
                                type: string
                                format: date-time
                            required:
                              - id
                              - name
                              - quantity
                              - price
                              - createdAt
                              - updatedAt
                        taxRateIds:
                          type: array
                          items:
                            type: string
                      required:
                        - id
                        - status
                        - description
                        - currency
                        - maxInstallments
                        - number
                        - reference
                        - acceptPartialPayments
                        - amountDue
                        - amountPaid
                        - amountOverpaid
                        - amountRemaining
                        - subTotal
                        - customerId
                        - sendEmail
                        - totalInclusiveTaxAmount
                        - totalExclusiveTaxAmount
                        - cancellationReason
                        - logo
                        - invoicePdf
                        - receiptPdf
                        - callbackUrl
                        - returnUrl
                        - metadata
                        - daysUntilDue
                        - dueDate
                        - paidAt
                        - cancelledAt
                        - liveMode
                        - createdAt
                        - updatedAt
                        - items
                        - taxRateIds
                required:
                  - hasMore
                  - cursor
                  - data

````